BlackExhaustSmoke = {}

function BlackExhaustSmoke.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Motorized, specializations)
end
function BlackExhaustSmoke.registerOverwrittenFunctions(vehicleType)
    SpecializationUtil.registerOverwrittenFunction(vehicleType, "onExhaustEffectI3DLoaded", BlackExhaustSmoke.onExhaustEffectI3DLoaded)
end

function BlackExhaustSmoke:onExhaustEffectI3DLoaded(superFunc, i3dNode, failedReason, args)
	local spec = self.spec_motorized
	superFunc(self, i3dNode, failedReason, args)
	if spec.exhaustEffects ~= nil then
		for _, effect in pairs(spec.exhaustEffects) do
			effect.minRpmColor = {0, 0, 0, 0.8 , effect.minRpmColor[4]}
			effect.maxRpmColor = {0, 0, 0, 7 , effect.maxRpmColor[4]}
		end
	end
end
